| ememe

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Multiple EM for Motif Elicitation

## Description

EMBASSY MEME is a suite of application wrappers to the original meme v3.0.14 applications written by Timothy Bailey. meme v3.0.14 must be installed on the same system as EMBOSS and the location of the meme executables must be defined in your path for EMBASSY MEME to work.

Usage:
ememe [options] dataset outfile

The <outfile> parameter is new to EMBASSY MEME. The output is always written to <outfile>. The name of the input sequences may be specified with the -dataset option as normal.

MEME -- Multiple EM for Motif Elicitation

MEME is a tool for discovering motifs in a group of related DNA or protein sequences.

A motif is a sequence pattern that occurs repeatedly in a group of related protein or DNA sequences. MEME represents motifs as position-dependent letter-probability matrices which describe the probability of each possible letter at each position in the pattern. Individual MEME motifs do not contain gaps. Patterns with variable-length gaps are split by MEME into two or more separate motifs.

MEME takes as input a group of DNA or protein sequences (the training set) and outputs as many motifs as requested. MEME uses statistical modeling techniques to automatically choose the best width, number of occurrences, and description for each motif.

MEME outputs its results as a hypertext (HTML) document.

## Algorithm

Please read the file README distributed with the original MEME.

### REQUIRED ARGUMENTS:

< dataset >
The name of the file containing the training set sequences. If < dataset > is the word "stdin", MEME reads from standard input.

The sequences in the dataset should be in Pearson/FASTA format. For example:

      			>ICYA_MANSE INSECTICYANIN A FORM (BLUE BILIPROTEIN)
      			GDIFYPGYCPDVKPVNDFDLSAFAGAWHEIAK
      			LPLENENQGKCTIAEYKYDGKKASVYNSFVSNGVKEYMEGDLEIAPDA
      			>LACB_BOVIN BETA-LACTOGLOBULIN PRECURSOR (BETA-LG)
      			MKCLLLALALTCGAQALIVTQTMKGLDI
      			QKVAGTWYSLAMAASDISLLDAQSAPLRVYVEELKPTPEGDLEILLQKW

Sequences start with a header line followed by sequence lines. A header line has the character ">" in position one, followed by an unique name without any spaces, followed by (optional) descriptive text. After the header line come the actual sequence lines. Spaces and blank lines are ignored. Sequences may be in capital or lowercase or both.

MEME uses the first word in the header line of each sequence, truncated to 24 characters if necessary, as the name of the sequence. This name must be unique. Sequences with duplicate names will be ignored. (The first word in the title line is everything following the ">" up to the first blank.)

Sequence weights may be specified in the dataset file by special header lines where the unique name is "WEIGHTS" (all caps) and the descriptive text is a list of sequence weights. Sequence weights are numbers in the range 0 < w <=1. All weights are assigned in order to the sequences in the file. If there are more sequences than weights, the remainder are given weight one. Weights must be greater than zero and less than or equal to one. Weights may be specified by more than one "WEIGHT" entry which may appear anywhere in the file. When weights are used, sequences will contribute to motifs in proportion to their weights. Here is an example for a file of three sequences where the first two sequences are very similar and it is desired to down-weight them:

      			>WEIGHTS 0.5 .5 1.0
      			>seq1
      			GDIFYPGYCPDVKPVNDFDLSAFAGAWHEIAK
      			>seq2
      			GDMFCPGYCPDVKPVGDFDLSAFAGAWHELAK
      			>seq3
      			QKVAGTWYSLAMAASDISLLDAQSAPLRVYVEELKPTPEGDLEILLQKW

### OPTIONAL ARGUMENTS:

MEME has a large number of optional inputs that can be used to fine-tune its behavior. To make these easier to understand they are divided into the following categories:

ALPHABET - control the alphabet for the motifs (patterns) that MEME will search for

DISTRIBUTION - control how MEME assumes the occurrences of the motifs are distributed throughout the training set sequences

SEARCH - control how MEME searches for motifs

SYSTEM - the -p <np> argument causes a version of MEME compiled for a parallel CPU architecture to be run. (By placing < np > in quotes you may pass installation specific switches to the 'mpirun' command. The number of processors to run on must be the first argument following -p).

In what follows, < n > is an integer, < a > is a decimal number, and < string > is a string of characters.

### ALPHABET

MEME accepts either DNA or protein sequences, but not both in the same run. By default, sequences are assumed to be protein. The sequences must be in FASTA format.

DNA sequences must contain only the letters "ACGT", plus the ambiguous letters "BDHKMNRSUVWY*-".

Protein sequences must contain only the letters "ACDEFGHIKLMNPQRSTVWY", plus the ambiguous letters "BUXZ*-".

MEME converts all ambiguous letters to "X", which is treated as "unknown".

-dna Assume sequences are DNA; default: protein sequences

-protein Assume sequences are protein

### DISTRIBUTION

If you know how occurrences of motifs are distributed in the training set sequences, you can specify it with the following optional switches. The default distribution of motif occurrences is assumed to be zero or one occurrence of per sequence.

-mod < string > The type of distribution to assume.

oops
One Occurrence Per Sequence
MEME assumes that each sequence in the dataset contains exactly one occurrence of each motif. This option is the fastest and most sensitive but the motifs returned by MEME may be "blurry" if any of the sequences is missing them.

zoops
Zero or One Occurrence Per Sequence
MEME assumes that each sequence may contain at most one occurrence of each motif. This option is useful when you suspect that some motifs may be missing from some of the sequences. In that case, the motifs found will be more accurate than using the first option. This option takes more computer time than the first option (about twice as much) and is slightly less sensitive to weak motifs present in all of the sequences.

anr
Any Number of Repetitions
MEME assumes each sequence may contain any number of non-overlapping occurrences of each motif. This option is useful when you suspect that motifs repeat multiple times within a single sequence. In that case, the motifs found will be much more accurate than using one of the other options. This option can also be used to discover repeats within a single sequence. This option takes the much more computer time than the first option (about ten times as much) and is somewhat less sensitive to weak motifs which do not repeat within a single sequence than the other two options.

### SEARCH

------ A) OBJECTIVE FUNCTION

MEME uses an objective function on motifs to select the "best" motif. The objective function is based on the statistical significance of the log likelihood ratio (LLR) of the occurrences of the motif. The E-value of the motif is an estimate of the number of motifs (with the same width and number of occurrences) that would have equal or higher log likelihood ratio if the training set sequences had been generated randomly according to the (0-order portion of the) background model.

MEME searches for the motif with the smallest E-value. It searches over different motif widths, numbers of occurrences, and positions in the training set for the motif occurrences. The user may limit the range of motif widths and number of occurrences that MEME tries using the switches described below. In addition, MEME trims the motif (using a dynamic programming multiple alignment) to eliminate any positions where there is a gap in any of the occurrences.

The log likelihood ratio of a motif is

      	llr = log (Pr(sites | motif) / Pr(sites | back))

and is a measure of how different the sites are from the background model. Pr(sites | motif) is the probability of the occurrences given the a model consisting of the position-specific probability matrix (PSPM) of the motif. (The PSPM is output by MEME).

Pr(sites | back) is the probability of the occurrences given the background model. The background model is an n-order Markov model. By default, it is a 0-order model consisting of the frequencies of the letters in the training set. A different 0-order Markov model or higher order Markov models can be specified to MEME using the -bfile option described below.

The E-value reported by MEME is actually an approximation of the E-value of the log likelihood ratio. (An approximation is used because it is far more efficient to compute.) The approximation is based on the fact that the log likelihood ratio of a motif is the sum of the log likelihood ratios of each column of the motif. Instead of computing the statistical significance of this sum (its p-value), MEME computes the p-value of each column and then computes the significance of their product. Although not identical to the significance of the log likelihood ratio, this easier to compute objective function works very similarly in practice.

The motif significance is reported as the E-value of the motif.

The statistical signficance of a motif is computed based on:

1. the log likelihood ratio,
2. the width of the motif,
3. the number of occurrences,
4. the 0-order portion of the background model,
5. the size of the training set, and
6. the type of model (oops, zoops, or anr, which determines the number of possible different motifs of the given width and number of occurrences).

MEME searches for motifs by performing Expectation Maximization (EM) on a motif model of a fixed width and using an initial estimate of the number of sites. It then sorts the possible sites according to their probability according to EM. MEME then and calculates the E-values of the first n sites in the sorted list for different values of n. This procedure (first EM, followed by computing E-values for different numbers of sites) is repeated with different widths and different initial estimates of the number of sites. MEME outputs the motif with the lowest E-value. B) NUMBER OF MOTIFS -nmotifs < n > The number of *different* motifs to search for. MEME will search for and output < n > motifs. Default: 1

-evt < p > Quit looking for motifs if E-value exceeds < p >. Default: infinite (so by default MEME never quits before -nmotifs < n > have been found.) C) NUMBER OF MOTIF OCCURENCES -nsites < n > -minsites < n > -maxsites < n > The (expected) number of occurrences of each motif. If -nsites is given, only that number of occurrences is tried. Otherwise, numbers of occurrences between -minsites and -maxsites are tried as initial guesses for the number of motif occurrences. These switches are ignored if mod = oops.

Default:

-minsites sqrt(number sequences)

-maxsites Default:
zoops # of sequences
anr MIN(5*#sequences, 50) -wnsites < n > The weight on the prior on nsites. This controls how strong the bias towards motifs with exactly nsites sites (or between minsites and maxsites sites) is. It is a number in the range [0..1). The larger it is, the stronger the bias towards motifs with exactly nsites occurrences is.

Default: 0.8 D) MOTIF WIDTH
-w < n >
-minw < n >
-maxw < n >
The width of the motif(s) to search for. If -w is given, only that width is tried. Otherwise, widths between -minw and -maxw are tried. Default: -minw 8, -maxw 50 (defined in user.h)
Note: If < n > is less than the length of the shortest sequence in the dataset, < n > is reset by MEME to that value. -nomatrim -wg < a > -ws < a > -noendgaps
These switches control trimming (shortening) of motifs using the multiple alignment method. Specifying -nomatrim causes MEME to skip this and causes the other switches to be ignored. MEME finds the best motif found and then trims (shortens) it using the multiple alignment method (described below). The number of occurrences is then adjusted to maximize the motif E-value, and then the motif width is further shortened to optimize the E-value.

The multiple alignment method performs a separate pairwise alignment of the site with the highest probability and each other possible site. (The alignment includes width/2 positions on either side of the sites.) The pairwise alignment is controlled by the switches:
-wg < a > (gap cost; default: 11),
-ws < a > (space cost; default 1), and,
-noendgaps (do not penalize endgaps; default: penalize endgaps).

The pairwise alignments are then combined and the method determines the widest section of the motif with no insertions or deletions. If this alignment is shorter than < minw >, it tries to find an alignment allowing up to one insertion/deletion per motif column. This continues (allowing up to 2, 3 ... insertions/deletions per motif column) until an alignment of width at least < minw > is found. E) BACKGROUND MODEL -bfile < bfile >
The name of the file containing the background model for sequences. The background model is the model of random sequences used by MEME. The background model is used by MEME

1. 1) during EM as the "null model",
2. 2) for calculating the log likelihood ratio of a motif,
3. 3) for calculating the significance (E-value) of a motif, and,
4. 4) for creating the position-specific scoring matrix (log-odds matrix).

By default, the background model is a 0-order Markov model based on the letter frequencies in the training set.

Markov models of any order can be specified in < bfile > by listing frequencies of all possible tuples of length up to order+1.

Note that MEME uses only the 0-order portion (single letter frequencies) of the background model for purposes 3) and 4), but uses the full-order model for purposes 1) and 2), above.

Example: To specify a 1-order Markov background model for DNA, < bfile > might contain the following lines. Note that optional comment lines are by "#" and are ignored by MEME.

      				# tuple   frequency_non_coding
      				a       0.324
      				c       0.176
      				g       0.176
      				t       0.324
      				# tuple   frequency_non_coding
      				aa      0.119
      				ac      0.052
      				ag      0.056
      				at      0.097
      				ca      0.058
      				cc      0.033
      				cg      0.028
      				ct      0.056
      				ga      0.056
      				gc      0.035
      				gg      0.033
      				gt      0.052
      				ta      0.091
      				tc      0.056
      				tg      0.058
      				tt      0.119

Sample -bfile files are given in directory tests:
tests/nt.freq (DNA), and
tests/na.freq (amino acid). F) DNA PALINDROMES AND STRANDS -revcomp motifs occurrences may be on the given DNA strand or on its reverse complement.
Default: look for DNA motifs only on the strand given in the training set.

-pal
Choosing -pal causes MEME to look for palindromes in DNA datasets.

MEME averages the letter frequencies in corresponding columns of the motif (PSPM) together. For instance, if the width of the motif is 10, columns 1 and 10, 2 and 9, 3 and 8, etc., are averaged together. The averaging combines the frequency of A in one column with T in the other, and the frequency of C in one column with G in the other. If neither option is not chosen, MEME does not search for DNA palindromes.

G) EM ALGORITHM

-maxiter < n >
The number of iterations of EM to run from any starting point. EM is run for < n > iterations or until convergence (see -distance, below) from each starting point.
Default: 50

-distance < a >
The convergence criterion. MEME stops iterating EM when the change in the motif frequency matrix is less than < a >. (Change is the euclidean distance between two successive frequency matrices.)
Default: 0.001

-prior < string >

The prior distribution on the model parameters:
dirichlet simple Dirichlet prior This is the default for -dna and -alph. It is based on the non-redundant database letter frequencies.
dmix mixture of Dirichlets prior This is the default for -protein.
mega extremely low variance dmix; variance is scaled inversely with the size of the dataset.
megap mega for all but last iteration of EM; dmix on last iteration.
addone add +1 to each observed count

-b < a >

The strength of the prior on model parameters: < a > = 0 means use intrinsic strength of prior for prior = dmix.
Defaults: 0.01 if prior = dirichlet 0 if prior = dmix

-plib < string >
The name of the file containing the Dirichlet prior in the format of file prior30.plib.

H) SELECTING STARTS FOR EM
The default is for MEME to search the dataset for good starts for EM. How the starting points are derived from the dataset is specified by the following switches.

The default type of mapping MEME uses is:
-spmap uni for -dna and -alph < string >
-spmap pam for -protein
-spfuzz < a > The fuzziness of the mapping. Possible values are greater than 0. Meaning depends on -spmap, see below.
-spmap < string > The type of mapping function to use.
uni Use add-< a > prior when converting a substring to an estimate of theta. Default -spfuzz < a >: 0.5 pam Use columns of PAM < a > matrix when converting a substring to an estimate of theta. Default -spfuzz < a >: 120 (PAM 120)

Other types of starting points can be specified using the following switches.
-cons < string > Override the sampling of starting points and just use a starting point derived from < string >.
This is useful when an actual occurrence of a motif is known and can be used as the starting point for finding the motif.

## Usage

Here is a sample session with ememe

    % ememe crp0.s -mod oops
    Multiple EM for Motif Elicitation
    MEME program output file output directory [.]:

Go to the input files for this example
Go to the output files for this example

### EXAMPLES:

Please note the examples below are unedited excerpts of the original MEME documentation. Bear in mind the EMBASSY and original MEME options may differ in practice (see "1. Command-line arguments").

The following examples use data files provided in this release of MEME. MEME writes its output to standard output, so you will want to redirect it to a file in order for use with MAST.

1) A simple DNA example:
meme crp0.s -dna -mod oops -pal > ex1.html

MEME looks for a single motif in the file crp0.s which contains DNA sequences in FASTA format. The OOPS model is used so MEME assumes that every sequence contains exactly one occurrence of the motif. The palindrome switch is given so the motif model (PSPM) is converted into a palindrome by combining corresponding frequency columns. MEME automatically chooses the best width for the motif in this example since no width was specified.

2) Searching for motifs on both DNA strands:
meme crp0.s -dna -mod oops -revcomp > ex2.html

This is like the previous example except that the -revcomp switch tells MEME to consider both DNA strands, and the -pal switch is absent so the palindrome conversion is omitted. When DNA uses both DNA strands, motif occurrences on the two strands may not overlap. That is, any position in the sequence given in the training set may be contained in an occurrence of a motif on the positive strand or the negative strand, but not both.

3) A fast DNA example:
meme crp0.s -dna -mod oops -revcomp -w 20 > ex3.html

This example differs from example 1) in that MEME is told to only consider motifs of width 20. This causes MEME to execute about 10 times faster. The -w switch can also be used with protein datasets if the width of the motifs are known in advance.

4) Using a higher-order background model:
meme INO_up800.s -dna -mod anr -revcomp -bfile yeast.nc.6.freq > ex4.html

In this example we use -mod anr and -bfile yeast.nc.6.freq. This specifies that
a) the motif may have any number of occurrences in each sequence, and,
b) the Markov model specified in yeast.nc.6.freq is used as the background model. This file contains a fifth-order Markov model for the non-coding regions in the yeast genome.
Using a higher order background model can often result in more sensitive detection of motifs. This is because the background model more accurately models non-motif sequence, allowing MEME to discriminate against it and find the true motifs.

5) A simple protein example:
meme lipocalin.s -mod oops -maxw 20 -nmotifs 2 > ex5.html

The -dna switch is absent, so MEME assumes the file lipocalin.s contains protein sequences. MEME searches for two motifs each of width less than or equal to 20. (Specifying -maxw 20 makes MEME run faster since it does not have to consider motifs longer than 20.) Each motif is assumed to occur in each of the sequences because the OOPS model is specified.

6) Another simple protein example:
meme farntrans5.s -mod anr -maxw 40 -maxsites 50 > ex6.html

MEME searches for a motif of width up to 40 with up to 50 occurrences in the entire training set. The ANR sequence model is specified, which allows each motif to have any number of occurrences in each sequence. This dataset contains motifs with multiple repeats of motifs in each sequence. This example is fairly time consuming due to the fact that the time required to initiale the motif probability tables is proportional to < maxw > times < maxsites >. By default, MEME only looks for motifs up to 29 letters wide with a maximum total of number of occurrences equal to twice the number of sequences or 30, whichever is less.

7) A much faster protein example:
meme farntrans5.s -mod anr -w 10 -maxsites 30 -nmotifs 3 > ex7.html

This time MEME is constrained to search for three motifs of width exactly ten. The effect is to break up the long motif found in the previous example. The -w switch forces motifs to be *exactly* ten letters wide. This example is much faster because, since only one width is considered, the time to build the motif probability tables is only proportional to < maxsites >.

8) Splitting the sites into three:
meme farntrans5.s -mod anr -maxw 12 -nsites 24 -nmotifs 3 > ex8.html

This forces each motif to have 24 occurrences, exactly, and be up to 12 letters wide.

9) A larger protein example with E-value cutoff:
meme adh.s -mod zoops -nmotifs 20 -evt 0.01 > ex9.html

In this example, MEME looks for up to 20 motifs, but stops when a motif is found with E-value greater than 0.01. Motifs with large E-values are likely to be statistical artifacts rather than biologically significant.

## Command line arguments

Where possible, the same command-line qualifier names and parameter order is used as in the original meme. There are however several unavoidable differences and these are clearly documented in the "Notes" section below.

Most of the options in the original meme are given in ACD as "advanced" or "additional" options. -options must be specified on the command-line in order to be prompted for a value for "additional" options but "advanced" options will never be prompted for.

    Multiple EM for Motif Elicitation
    Version: EMBOSS:6.2.0

       Standard (Mandatory) qualifiers:
      [-dataset]           seqset     User must provide the full filename of a set
                                      of sequences, not an indirect reference,
                                      e.g. a USA is NOT acceptable.
      [-outdir]            outdir     [.] MEME program output file output
                                      directory

       Additional (Optional) qualifiers:
       -bfile              infile     The name of the file containing the
                                      background model for sequences. The
                                      background model is the model of random
                                      sequences used by MEME. The background model
                                      is used by MEME 1) during EM as the 'null
                                      model', 2) for calculating the log
                                      likelihood ratio of a motif, 3) for
                                      calculating the significance (E-value) of a
                                      motif, and, 4) for creating the
                                      position-specific scoring matrix (log-odds
                                      matrix). See application documentation for
                                      more information.
       -plibfile           infile     The name of the file containing the
                                      Dirichlet prior in the format of file
                                      prior30.plib
       -mod                selection  [zoops] If you know how occurrences of
                                      motifs are distributed in the training set
                                      sequences, you can specify it with these
                                      options. The default distribution of motif
                                      occurrences is assumed to be zero or one
                                      occurrence per sequence. oops : One
                                      Occurrence Per Sequence. MEME assumes that
                                      each sequence in the dataset contains
                                      exactly one occurrence of each motif. This
                                      option is the fastest and most sensitive but
                                      the motifs returned by MEME may be 'blurry'
                                      if any of the sequences is missing them.
                                      zoops : Zero or One Occurrence Per Sequence.
                                      MEME assumes that each sequence may contain
                                      at most one occurrence of each motif. This
                                      option is useful when you suspect that some
                                      motifs may be missing from some of the
                                      sequences. In that case, the motifs found
                                      will be more accurate than using the first
                                      option. This option takes more computer time
                                      than the first option (about twice as much)
                                      and is slightly less sensitive to weak
                                      motifs present in all of the sequences. anr
                                      : Any Number of Repetitions. MEME assumes
                                      each sequence may contain any number of
                                      non-overlapping occurrences of each motif.
                                      This option is useful when you suspect that
                                      motifs repeat multiple times within a single
                                      sequence. In that case, the motifs found
                                      will be much more accurate than using one of
                                      the other options. This option can also be
                                      used to discover repeats within a single
                                      sequence. This option takes the much more
                                      computer time than the first option (about
                                      ten times as much) and is somewhat less
                                      sensitive to weak motifs which do not repeat
                                      within a single sequence than the other two
                                      options.
       -nmotifs            integer    [1] The number of *different* motifs to
                                      search for. MEME will search for and output
                                      <n> motifs. (Any integer value)
       -text               boolean    [N] Default output is in HTML
       -prior              selection  [dirichlet] The prior distribution on the
                                      model parameters. dirichlet: Simple
                                      Dirichlet prior. This is the default for
                                      -dna and -alph. It is based on the
                                      non-redundant database letter frequencies.
                                      dmix: Mixture of Dirichlets prior. This is
                                      the default for -protein. mega: Extremely
                                      low variance dmix; variance is scaled
                                      inversely with the size of the dataset.
                                      megap: Mega for all but last iteration of
                                      EM; dmix on last iteration. addone: Add +1
                                      to each observed count.
       -evt                float      [-1] Quit looking for motifs if E-value
                                      exceeds this value. Has an extremely high
                                      default so by default MEME never quits
                                      before -nmotifs <n> have been found. A value
                                      of -1 here is a shorthand for infinity.
                                      (Any numeric value)
       -nsites             integer    [-1] These switches are ignored if mod =
                                      oops. The (expected) number of occurrences
                                      of each motif. If a value for -nsites is
                                      specified, only that number of occurrences
                                      is tried. Otherwise, numbers of occurrences
                                      between -minsites and -maxsites are tried as
                                      initial guesses for the number of motif
                                      occurrences. If a value is not specified for
                                      -minsites and maxsites then the default
                                      hardcoded into MEME, as opposed to the
                                      default value given in the ACD file, is
                                      used. The hardcoded default value of
                                      -minsites is equal to sqrt(number
                                      sequences). The hardcoded default value of
                                      -maxsites is equal to the number of
                                      sequences (zoops) or MIN(5* num.sequences,
                                      50) (anr). A value of -1 here represents
                                      nsites being unspecified. (Any integer
                                      value)
       -minsites           integer    [-1] These switches are ignored if mod =
                                      oops. The (expected) number of occurrences
                                      of each motif. If a value for -nsites is
                                      specified, only that number of occurrences
                                      is tried. Otherwise, numbers of occurrences
                                      between -minsites and -maxsites are tried as
                                      initial guesses for the number of motif
                                      occurrences. If a value is not specified for
                                      -minsites and maxsites then the default
                                      hardcoded into MEME, as opposed to the
                                      default value given in the ACD file, is
                                      used. The hardcoded default value of
                                      -minsites is equal to sqrt(number
                                      sequences). The hardcoded default value of
                                      -maxsites is equal to the number of
                                      sequences (zoops) or MIN(5 * num.sequences,
                                      50) (anr). A value of -1 here represents
                                      minsites being unspecified. (Any integer
                                      value)
       -maxsites           integer    [-1] These switches are ignored if mod =
                                      oops. The (expected) number of occurrences
                                      of each motif. If a value for -nsites is
                                      specified, only that number of occurrences
                                      is tried. Otherwise, numbers of occurrences
                                      between -minsites and -maxsites are tried as
                                      initial guesses for the number of motif
                                      occurrences. If a value is not specified for
                                      -minsites and maxsites then the default
                                      hardcoded into MEME, as opposed to the
                                      default value given in the ACD file, is
                                      used. The hardcoded default value of
                                      -minsites is equal to sqrt(number
                                      sequences). The hardcoded default value of
                                      -maxsites is equal to the number of
                                      sequences (zoops) or MIN(5 * num.sequences,
                                      50) (anr). A value of -1 here represents
                                      maxsites being unspecified. (Any integer
                                      value)
       -wnsites            float      [0.8] The weight of the prior on nsites.
                                      This controls how strong the bias towards
                                      motifs with exactly nsites sites (or between
                                      minsites and maxsites sites) is. It is a
                                      number in the range [0..1). The larger it
                                      is, the stronger the bias towards motifs
                                      with exactly nsites occurrences is. (Any
                                      numeric value)
       -w                  integer    [-1] The width of the motif(s) to search
                                      for. If -w is given, only that width is
                                      tried. Otherwise, widths between -minw and
                                      -maxw are tried. Note: if width is less than
                                      the length of the shortest sequence in the
                                      dataset, width is reset by MEME to that
                                      value. A value of -1 here represents -w
                                      being unspecified. (Any integer value)
       -minw               integer    [8] The width of the motif(s) to search for.
                                      If -w is given, only that width is tried.
                                      Otherwise, widths between -minw and -maxw
                                      are tried. Note: if width is less than the
                                      length of the shortest sequence in the
                                      dataset, width is reset by MEME to that
                                      value. (Any integer value)
       -maxw               integer    [50] The width of the motif(s) to search
                                      for. If -w is given, only that width is
                                      tried. Otherwise, widths between -minw and
                                      -maxw are tried. Note: if width is less than
                                      the length of the shortest sequence in the
                                      dataset, width is reset by MEME to that
                                      value. (Any integer value)
       -nomatrim           boolean    [N] The -nomatrim, -wg, -ws and -noendgaps
                                      switches control trimming (shortening) of
                                      motifs using the multiple alignment method.
                                      Specifying -nomatrim causes MEME to skip
                                      this and causes the other switches to be
                                      ignored. The pairwise alignment is
                                      controlled by the switches -wg (gap cost),
                                      -ws (space cost) and -noendgaps (do not
                                      penalize endgaps). See application
                                      documentation for further information.
       -wg                 integer    [11] The -nomatrim, -wg, -ws and -noendgaps
                                      switches control trimming (shortening) of
                                      motifs using the multiple alignment method.
                                      Specifying -nomatrim causes MEME to skip
                                      this and causes the other switches to be
                                      ignored. The pairwise alignment is
                                      controlled by the switches -wg (gap cost),
                                      -ws (space cost) and -noendgaps (do not
                                      penalize endgaps). See application
                                      documentation for further information. (Any
                                      integer value)
       -ws                 integer    [1] The -nomatrim, -wg, -ws and -noendgaps
                                      switches control trimming (shortening) of
                                      motifs using the multiple alignment method.
                                      Specifying -nomatrim causes MEME to skip
                                      this and causes the other switches to be
                                      ignored. The pairwise alignment is
                                      controlled by the switches -wg (gap cost),
                                      -ws (space cost) and -noendgaps (do not
                                      penalize endgaps). See application
                                      documentation for further information. (Any
                                      integer value)
       -noendgaps          boolean    [N] The -nomatrim, -wg, -ws and -noendgaps
                                      switches control trimming (shortening) of
                                      motifs using the multiple alignment method.
                                      Specifying -nomatrim causes MEME to skip
                                      this and causes the other switches to be
                                      ignored. The pairwise alignment is
                                      controlled by the switches -wg (gap cost),
                                      -ws (space cost) and -noendgaps (do not
                                      penalise endgaps). See application
                                      documentation for further information.
       -revcomp            boolean    [N] Motif occurrences may be on the given
                                      DNA strand or on its reverse complement. The
                                      default is to look for DNA motifs only on
                                      the strand given in the training set.
       -pal                boolean    [N] Choosing -pal causes MEME to look for
                                      palindromes in DNA datasets. MEME averages
                                      the letter frequencies in corresponding
                                      columns of the motif (PSPM) together. For
                                      instance, if the width of the motif is 10,
                                      columns 1 and 10, 2 and 9, 3 and 8, etc.,
                                      are averaged together. The averaging
                                      combines the frequency of A in one column
                                      with T in the other, and the frequency of C
                                      in one column with G in the other.
       -[no]nostatus       boolean    [Y] Set this option to prevent progress
                                      reports to the terminal.

       Advanced (Unprompted) qualifiers:
       -maxiter            integer    [50] The number of iterations of EM to run
                                      from any starting point. EM is run for <n>
                                      iterations or until convergence (see
                                      -distance, below) from each starting point.
                                      (Any integer value)
       -distance           float      [0.001] The convergence criterion. MEME
                                      stops iterating EM when the change in the
                                      motif frequency matrix is less than .
                                      (Change is the euclidean distance between
                                      two successive frequency matrices.) (Any
                                      numeric value)
       -b                  float      [-1.0] The strength of the prior on model
                                      parameters. A value of 0 means use intrinsic
                                      strength of prior if prior = dmix. The
                                      default values are 0.01 if prior = dirichlet
                                      or 0 if prior = dmix. These defaults are
                                      hardcoded into MEME (the value of the
                                      default in the ACD file is not used). A
                                      value of -1 here represents -b being
                                      unspecified. (Any numeric value)
       -spfuzz             float      [-1.0] The fuzziness of the mapping.
                                      Possible values are greater than 0. Meaning
                                      depends on -spmap, see below. See the
                                      application documentation for more
                                      information. A value of -1.0 here represents
                                      -spfuzz being unspecified. (Any numeric
                                      value)
       -spmap              selection  [default] The type of mapping function to
                                      use. uni: Use prior when converting a
                                      substring to an estimate of theta. Default
                                      -spfuzz : 0.5. pam: Use columns of PAM
                                       matrix when converting a substring to an
                                      estimate of theta. Default -spfuzz : 120
                                      (PAM 120). See the application
                                      documentation for more information.
       -cons               string     Override the sampling of starting points and
                                      just use a starting point derived from
                                      <string>. This is useful when an actual
                                      occurrence of a motif is known and can be
                                      used as the starting point for finding the
                                      motif. See the application documentation for
                                      more information. (Any string)
       -maxsize            integer    [-1] Maximum dataset size in characters (-1
                                      = use meme default). (Any integer value)
       -p                  integer    [0] Only values of >0 will be applied. The
                                      -p <np> argument causes a version of MEME
                                      compiled for a parallel CPU architecture to
                                      be run. (By placing <np> in quotes you may
                                      pass installation specific switches to the
                                      'mpirun' command. The number of processors
                                      to run on must be the first argument
                                      following -p). (Any integer value)
       -time               integer    [0] Only values of more than 0 will be
                                      applied. (Any integer value)
       -sf                 string     Print <sf> as name of sequence file (Any
                                      string)
       -heapsize           integer    [64] The search for good EM starting points
                                      can be improved by using a branching search.
                                      A branching search begins with a fixed-size
                                      heap of best EM starts identified during
                                      the search of subsequences from the dataset.
                                      These starts are also called seeds. The
                                      fixed-size heap of seeds is used as the
                                      branch-heap during the first iteration of
                                      branching search. See the application
                                      documentation for more information. (Any
                                      integer value)
       -xbranch            boolean    [N] The search for good EM starting points
                                      can be improved by using a branching search.
                                      A branching search begins with a fixed-size
                                      heap of best EM starts identified during
                                      the search of subsequences from the dataset.
                                      These starts are also called seeds. The
                                      fixed-size heap of seeds is used as the
                                      branch-heap during the first iteration of
                                      branching search. See the application
                                      documentation for more information.
       -wbranch            boolean    [N] The search for good EM starting points
                                      can be improved by using a branching search.
                                      A branching search begins with a fixed-size
                                      heap of best EM starts identified during
                                      the search of subsequences from the dataset.
                                      These starts are also called seeds. The
                                      fixed-size heap of seeds is used as the
                                      branch-heap during the first iteration of
                                      branching search. See the application
                                      documentation for more information.
       -bfactor            integer    [3] The search for good EM starting points
                                      can be improved by using a branching search.
                                      A branching search begins with a fixed-size
                                      heap of best EM starts identified during
                                      the search of subsequences from the dataset.
                                      These starts are also called seeds. The
                                      fixed-size heap of seeds is used as the
                                      branch-heap during the first iteration of
                                      branching search. See the application
                                      documentation for more information. (Any
                                      integer value)

       Associated qualifiers:

       "-dataset" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-dataset] (Parameter 1) | seqset | User must provide the full filename of a set of sequences, not an indirect reference, e.g. a USA is NOT acceptable. | Readable set of sequences | Required
[-outdir] (Parameter 2) | outdir | MEME program output file output directory | Output directory | .
Additional (Optional) qualifiers

-bfile

infile

The name of the file containing the background model for sequences. The background model is the model of random sequences used by MEME. The background model is used by MEME 1) during EM as the 'null model', 2) for calculating the log likelihood ratio of a motif, 3) for calculating the significance (E-value) of a motif, and, 4) for creating the position-specific scoring matrix (log-odds matrix). See application documentation for more information.

Input file

Required

-plibfile | infile | The name of the file containing the Dirichlet prior in the format of file prior30.plib | Input file | Required

-mod

selection

If you know how occurrences of motifs are distributed in the training set sequences, you can specify it with these options. The default distribution of motif occurrences is assumed to be zero or one occurrence per sequence. oops : One Occurrence Per Sequence. MEME assumes that each sequence in the dataset contains exactly one occurrence of each motif. This option is the fastest and most sensitive but the motifs returned by MEME may be 'blurry' if any of the sequences is missing them. zoops : Zero or One Occurrence Per Sequence. MEME assumes that each sequence may contain at most one occurrence of each motif. This option is useful when you suspect that some motifs may be missing from some of the sequences. In that case, the motifs found will be more accurate than using the first option. This option takes more computer time than the first option (about twice as much) and is slightly less sensitive to weak motifs present in all of the sequences. anr : Any Number of Repetitions. MEME assumes each sequence may contain any number of non-overlapping occurrences of each motif. This option is useful when you suspect that motifs repeat multiple times within a single sequence. In that case, the motifs found will be much more accurate than using one of the other options. This option can also be used to discover repeats within a single sequence. This option takes the much more computer time than the first option (about ten times as much) and is somewhat less sensitive to weak motifs which do not repeat within a single sequence than the other two options.

Choose from selection list of values

zoops

-nmotifs | integer | The number of *different* motifs to search for. MEME will search for and output <n> motifs. | Any integer value | 1
-text | boolean | Default output is in HTML | Boolean value Yes/No | No

-prior

selection

The prior distribution on the model parameters. dirichlet: Simple Dirichlet prior. This is the default for -dna and -alph. It is based on the non-redundant database letter frequencies. dmix: Mixture of Dirichlets prior. This is the default for -protein. mega: Extremely low variance dmix; variance is scaled inversely with the size of the dataset. megap: Mega for all but last iteration of EM; dmix on last iteration. addone: Add +1 to each observed count.

Choose from selection list of values

dirichlet

-evt | float | Quit looking for motifs if E-value exceeds this value. Has an extremely high default so by default MEME never quits before -nmotifs <n> have been found. A value of -1 here is a shorthand for infinity. | Any numeric value | -1

-nsites

integer

These switches are ignored if mod = oops. The (expected) number of occurrences of each motif. If a value for -nsites is specified, only that number of occurrences is tried. Otherwise, numbers of occurrences between -minsites and -maxsites are tried as initial guesses for the number of motif occurrences. If a value is not specified for -minsites and maxsites then the default hardcoded into MEME, as opposed to the default value given in the ACD file, is used. The hardcoded default value of -minsites is equal to sqrt(number sequences). The hardcoded default value of -maxsites is equal to the number of sequences (zoops) or MIN(5* num.sequences, 50) (anr). A value of -1 here represents nsites being unspecified.

Any integer value

-1

-minsites

integer

These switches are ignored if mod = oops. The (expected) number of occurrences of each motif. If a value for -nsites is specified, only that number of occurrences is tried. Otherwise, numbers of occurrences between -minsites and -maxsites are tried as initial guesses for the number of motif occurrences. If a value is not specified for -minsites and maxsites then the default hardcoded into MEME, as opposed to the default value given in the ACD file, is used. The hardcoded default value of -minsites is equal to sqrt(number sequences). The hardcoded default value of -maxsites is equal to the number of sequences (zoops) or MIN(5 * num.sequences, 50) (anr). A value of -1 here represents minsites being unspecified.

Any integer value

-1

-maxsites

integer

These switches are ignored if mod = oops. The (expected) number of occurrences of each motif. If a value for -nsites is specified, only that number of occurrences is tried. Otherwise, numbers of occurrences between -minsites and -maxsites are tried as initial guesses for the number of motif occurrences. If a value is not specified for -minsites and maxsites then the default hardcoded into MEME, as opposed to the default value given in the ACD file, is used. The hardcoded default value of -minsites is equal to sqrt(number sequences). The hardcoded default value of -maxsites is equal to the number of sequences (zoops) or MIN(5 * num.sequences, 50) (anr). A value of -1 here represents maxsites being unspecified.

Any integer value

-1

-wnsites | float | The weight of the prior on nsites. This controls how strong the bias towards motifs with exactly nsites sites (or between minsites and maxsites sites) is. It is a number in the range [0..1). The larger it is, the stronger the bias towards motifs with exactly nsites occurrences is. | Any numeric value | 0.8
-w | integer | The width of the motif(s) to search for. If -w is given, only that width is tried. Otherwise, widths between -minw and -maxw are tried. Note: if width is less than the length of the shortest sequence in the dataset, width is reset by MEME to that value. A value of -1 here represents -w being unspecified. | Any integer value | -1
-minw | integer | The width of the motif(s) to search for. If -w is given, only that width is tried. Otherwise, widths between -minw and -maxw are tried. Note: if width is less than the length of the shortest sequence in the dataset, width is reset by MEME to that value. | Any integer value | 8
-maxw | integer | The width of the motif(s) to search for. If -w is given, only that width is tried. Otherwise, widths between -minw and -maxw are tried. Note: if width is less than the length of the shortest sequence in the dataset, width is reset by MEME to that value. | Any integer value | 50

-nomatrim

boolean

The -nomatrim, -wg, -ws and -noendgaps switches control trimming (shortening) of motifs using the multiple alignment method. Specifying -nomatrim causes MEME to skip this and causes the other switches to be ignored. The pairwise alignment is controlled by the switches -wg (gap cost), -ws (space cost) and -noendgaps (do not penalize endgaps). See application documentation for further information.

Boolean value Yes/No

No

-wg

integer

The -nomatrim, -wg, -ws and -noendgaps switches control trimming (shortening) of motifs using the multiple alignment method. Specifying -nomatrim causes MEME to skip this and causes the other switches to be ignored. The pairwise alignment is controlled by the switches -wg (gap cost), -ws (space cost) and -noendgaps (do not penalize endgaps). See application documentation for further information.

Any integer value

11

-ws

integer

The -nomatrim, -wg, -ws and -noendgaps switches control trimming (shortening) of motifs using the multiple alignment method. Specifying -nomatrim causes MEME to skip this and causes the other switches to be ignored. The pairwise alignment is controlled by the switches -wg (gap cost), -ws (space cost) and -noendgaps (do not penalize endgaps). See application documentation for further information.

Any integer value

1

-noendgaps

boolean

The -nomatrim, -wg, -ws and -noendgaps switches control trimming (shortening) of motifs using the multiple alignment method. Specifying -nomatrim causes MEME to skip this and causes the other switches to be ignored. The pairwise alignment is controlled by the switches -wg (gap cost), -ws (space cost) and -noendgaps (do not penalise endgaps). See application documentation for further information.

Boolean value Yes/No

No

-revcomp | boolean | Motif occurrences may be on the given DNA strand or on its reverse complement. The default is to look for DNA motifs only on the strand given in the training set. | Boolean value Yes/No | No

-pal

boolean

Choosing -pal causes MEME to look for palindromes in DNA datasets. MEME averages the letter frequencies in corresponding columns of the motif (PSPM) together. For instance, if the width of the motif is 10, columns 1 and 10, 2 and 9, 3 and 8, etc., are averaged together. The averaging combines the frequency of A in one column with T in the other, and the frequency of C in one column with G in the other.

Boolean value Yes/No

No

-[no]nostatus | boolean | Set this option to prevent progress reports to the terminal. | Boolean value Yes/No | Yes
Advanced (Unprompted) qualifiers
-maxiter | integer | The number of iterations of EM to run from any starting point. EM is run for <n> iterations or until convergence (see -distance, below) from each starting point. | Any integer value | 50
-distance | float | The convergence criterion. MEME stops iterating EM when the change in the motif frequency matrix is less than <a>. (Change is the euclidean distance between two successive frequency matrices.) | Any numeric value | 0.001
-b | float | The strength of the prior on model parameters. A value of 0 means use intrinsic strength of prior if prior = dmix. The default values are 0.01 if prior = dirichlet or 0 if prior = dmix. These defaults are hardcoded into MEME (the value of the default in the ACD file is not used). A value of -1 here represents -b being unspecified. | Any numeric value | -1.0
-spfuzz | float | The fuzziness of the mapping. Possible values are greater than 0. Meaning depends on -spmap, see below. See the application documentation for more information. A value of -1.0 here represents -spfuzz being unspecified. | Any numeric value | -1.0
-spmap | selection | The type of mapping function to use. uni: Use prior when converting a substring to an estimate of theta. Default -spfuzz <a>: 0.5. pam: Use columns of PAM <a> matrix when converting a substring to an estimate of theta. Default -spfuzz <a>: 120 (PAM 120). See the application documentation for more information. | Choose from selection list of values | default
-cons | string | Override the sampling of starting points and just use a starting point derived from <string>. This is useful when an actual occurrence of a motif is known and can be used as the starting point for finding the motif. See the application documentation for more information. | Any string |
-maxsize | integer | Maximum dataset size in characters (-1 = use meme default). | Any integer value | -1
-p | integer | Only values of >0 will be applied. The -p <np> argument causes a version of MEME compiled for a parallel CPU architecture to be run. (By placing <np> in quotes you may pass installation specific switches to the 'mpirun' command. The number of processors to run on must be the first argument following -p). | Any integer value | 0
-time | integer | Only values of more than 0 will be applied. | Any integer value | 0
-sf | string | Print <sf> as name of sequence file | Any string |

-heapsize

integer

The search for good EM starting points can be improved by using a branching search. A branching search begins with a fixed-size heap of best EM starts identified during the search of subsequences from the dataset. These starts are also called seeds. The fixed-size heap of seeds is used as the branch-heap during the first iteration of branching search. See the application documentation for more information.

Any integer value

64

-xbranch

boolean

The search for good EM starting points can be improved by using a branching search. A branching search begins with a fixed-size heap of best EM starts identified during the search of subsequences from the dataset. These starts are also called seeds. The fixed-size heap of seeds is used as the branch-heap during the first iteration of branching search. See the application documentation for more information.

Boolean value Yes/No

No

-wbranch

boolean

The search for good EM starting points can be improved by using a branching search. A branching search begins with a fixed-size heap of best EM starts identified during the search of subsequences from the dataset. These starts are also called seeds. The fixed-size heap of seeds is used as the branch-heap during the first iteration of branching search. See the application documentation for more information.

Boolean value Yes/No

No

-bfactor

integer

The search for good EM starting points can be improved by using a branching search. A branching search begins with a fixed-size heap of best EM starts identified during the search of subsequences from the dataset. These starts are also called seeds. The fixed-size heap of seeds is used as the branch-heap during the first iteration of branching search. See the application documentation for more information.

Any integer value

3

Associated qualifiers
"-dataset" associated seqset qualifiers
-sbegin1 -sbegin_dataset | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_dataset | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_dataset | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_dataset | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_dataset | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_dataset | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_dataset | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_dataset | boolean | Make upper case | Boolean value Yes/No | N
-sformat1 -sformat_dataset | string | Input sequence format | Any string |
-sdbname1 -sdbname_dataset | string | Database name | Any string |
-sid1 -sid_dataset | string | Entryname | Any string |
-ufo1 -ufo_dataset | string | UFO features | Any string |
-fformat1 -fformat_dataset | string | Features format | Any string |
-fopenfile1 -fopenfile_dataset | string | Features file name | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

### Sequence formats

The original MEME only supported input sequences in FASTA format. EMBASSY MEME supports all EMBOSS-supported sequence formats. meme reads any normal sequence USAs.

### Input files for usage example

### File: crp0.s

    >ce1cg
    TAATGTTTGTGCTGGTTTTTGTGGCATCGGGCGAGAATAGCGCGTGGTGTGAAAGACTGTTTTTTTGATCGTTTTCACAA
    AAATGGAAGTCCACAGTCTTGACAG
    >ara
    GACAAAAACGCGTAACAAAAGTGTCTATAATCACGGCAGAAAAGTCCACATTGATTATTTGCACGGCGTCACACTTTGCT
    ATGCCATAGCATTTTTATCCATAAG
    >bglr1
    ACAAATCCCAATAACTTAATTATTGGGATTTGTTATATATAACTTTATAAATTCCTAAAATTACACAAAGTTAATAACTG
    TGAGCATGGTCATATTTTTATCAAT
    >crp
    CACAAAGCGAAAGCTATGCTAAAACAGTCAGGATGCTACAGTAATACATTGATGTACTGCATGTATGCAAAGGACGTCAC
    ATTACCGTGCAGTACAGTTGATAGC
    >cya
    ACGGTGCTACACTTGTATGTAGCGCATCTTTCTTTACGGTCAATCAGCAAGGTGTTAAATTGATCACGTTTTAGACCATT
    TTTTCGTCGTGAAACTAAAAAAACC
    >deop2
    AGTGAATTATTTGAACCAGATCGCATTACAGTGATGCAAACTTGTAAGTAGATTTCCTTAATTGTGATGTGTATCGAAGT
    GTGTTGCGGAGTAGATGTTAGAATA
    >gale
    GCGCATAAAAAACGGCTAAATTCTTGTGTAAACGATTCCACTAATTTATTCCATGTCACACTTTTCGCATCTTTGTTATG
    CTATGGTTATTTCATACCATAAGCC
    >ilv
    GCTCCGGCGGGGTTTTTTGTTATCTGCAATTCAGTACAAAACGTGATCAACCCCTCAATTTTCCCTTTGCTGAAAAATTT
    TCCATTGTCTCCCCTGTAAAGCTGT
    >lac
    AACGCAATTAATGTGAGTTAGCTCACTCATTAGGCACCCCAGGCTTTACACTTTATGCTTCCGGCTCGTATGTTGTGTGG
    AATTGTGAGCGGATAACAATTTCAC
    >male
    ACATTACCGCCAATTCTGTAACAGAGATCACACAAAGCGACGGTGGGGCGTAGGGGCAAGGAGGATGGAAAGAGGTTGCC
    GTATAAAGAAACTAGAGTCCGTTTA
    >malk
    GGAGGAGGCGGGAGGATGAGAACACGGCTTCTGTGAACTAAACCGAGGTCATGTAAGGAATTTCGTGATGTTGCTTGCAA
    AAATCGTGGCGATTTTATGTGCGCA
    >malt
    GATCAGCGTCGTTTTAGGTGAGTTGTTAATAAAGATTTGGAATTGTGACACAGTGCAAATTCAGACACATAAAAAAACGT
    CATCGCTTGCATTAGAAAGGTTTCT
    >ompa
    GCTGACAAAAAAGATTAAACATACCTTATACAAGACTTTTTTTTCATATGCCTGACGGAGTTCACACTTGTAAGTTTTCA
    ACTACGTTGTAGACTTTACATCGCC
    >tnaa
    TTTTTTAAACATTAAAATTCTTACGTAATTTATAATCTTTAAAAAAAGCATTTAATATTGCTCCCCGAACGATTGTGATT
    CGATTCACATTTAAACAATTTCAGA
    >uxu1
    CCCATGAGAGTGAAATTGTTGTGATGTGGTTAACCCAATTAGAATTCGGGATTGACATGTCTTACCAAAAGGTAGAACTT
    ATACGCCATCTCATCCGATGCAAGC
    >pbr322
    CTGGCTTAACTATGCGGCATCAGAGCAGATTGTACTGAGAGTGCACCATATGCGGTGTGAAATACCGCACAGATGCGTAA
    GGAGAAAATACCGCATCAGGCGCTC
    >trn9cat
    CTGTGACGGAAGATCACTTCGCAGAATAAATAAATCCTGGTGTCCCTGTTGATACCGGGAAGCCCTGGGCCAACTTTTGG
    CGAAAATGAGACGTTGATCGGCACG
    >tdc
    GATTTTTATACTTTAACTTGTTGATATTTAAAGGTATTTAATTGTAATAACGATACTCTGGAAAGTATTGAAAGTTAATT
    TGTGAGTGGTCGCACATATCCTGTT

## Output file format

### Output files for usage example

### Graphics File: logo1.eps

### File: logo1.png

This file contains non-printing characters and so cannot be displayed here.

### Graphics File: logo_ssc1.eps

### File: logo_ssc1.png

This file contains non-printing characters and so cannot be displayed here.

### File: meme.html

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"> <html> <head> <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"> <title>MEME</title> <style type="text/css"> td.left {text-align: left;} td.right {text-align: right; padding-right: 1cm;} </style> </head> <body bgcolor="#D5F0FF"><form enctype="application/x-www-form-urlencoded" method="post" target="_new" action="http://emboss4.ebi.ac.uk/meme/cgi-bin/process_request.cgi"> <a name="top_buttons"></a><hr> <table summary="buttons" align="left" cellspacing="0"><tr> <td bgcolor="#DDDDFF"><a href="#command"><b>Command line</b></a></td> <td bgcolor="#00FFFF"><a href="#sequences"><b>Training Set</b></a></td> <td bgcolor="#DDFFDD"><a href="#summary1"><b>First Motif</b></a></td> <td bgcolor="#FFDDFF"><a href="#motif-summary"><b>Summary of Motifs</b></a></td> <td bgcolor="#00FF00"><a href="#stopped"><b>Termination</b></a></td> <td bgcolor="#FFFF00"><a href="#explanation"><b>Explanation</b></a></td> </tr></table> <br clear="left"><b><br><input type="submit" name="action" value="MAST"> Search sequence databases for the best combined matches with these motifs using <a href="http://emboss4.ebi.ac.uk/meme/mast-intro.html">MAST.</a><br><input type="submit" name="action" value="FIMO"> Search sequence databases for all matches with these motifs using <a href="http://emboss4.ebi.ac.uk/meme/fimo-intro.html">FIMO</a>. <br><input type="submit" name="action" value="GOMO"> Find Genome Ontology terms associated with upstream sequences matching these motifs using <a href="http://emboss4.ebi.ac.uk/meme/gomo-intro.html">GOMO</a>. <br><input type="submit" name="action" value="BLOCKS"> Submit these motifs to <a href="http://blocks.fhcrc.org/blocks/process_blocks.html"> BLOCKS multiple alignment processor. </a><br></b><br clear="left"><hr> <center> <a name="version"></a><big><b><a href="#version_doc">MEME - Motif discovery tool</a></b></big> </center> <hr> <p> MEME version 4.2.0 (Release date: Wed Jul 22 01:12:17 PDT 2009) </p> <p> For further information on how to interpret these results or to get a copy of the MEME software please access <a href="http://meme.sdsc.edu">http://meme.sdsc.edu</a>. </p> <p> This file may be used as input to the MAST algorithm for searching sequence databases for matches to groups of motifs. MAST is available for interactive use and downloading at [Part of this file has been deleted for brevity] The motif is preceded by a line starting with "letter-probability matrix:" and containing the length of the alphabet, width of the motif, number of occurrences of the motif, and the <i>E</i>-value of the motif. <p><b>Note:</b> Earlier versions of MEME gave the posterior probabilities--the probability after applying a prior on letter frequencies--rather than the observed frequencies. These versions of MEME also gave the number of <i>possible</i> positions for the motif rather than the actual number of occurrences. The output from these earlier versions of MEME can be distinguished by "n=" rather than "nsites=" in the line preceding the matrix. </p> </li> <li> <h4><a name="regular_expression_doc2" href="#regular_expression1">Regular Expression</a></h4> This is a regular expression (RE) describing the motif. In each column, all letters with observed frequencies greater than 0.2 are shown; less-frequent letters are not included in the RE. MEME regular expressions are interpreted as follows: single letters match that letter; groups of letters in square brackets match any of the letters in the group. Regular expressions can be used for searching for the motif in sequences (using, for example, <a href="http://nar.oxfordjournals.org/cgi/content/full/33/suppl_2/W262"> PatMatch </a> ) but the search accuracy will usually be better with the PSSM (using, for example <a href="http://meme.nbcr.net/meme/mast-intro.html">MAST</a>.) </li> <li> <h4><a name="motif-summary-doc2" href="#motif-summary">Motif Summary Tiling</a></h4> The motif summary tiling is done using the same algorithm as used by <a href="http://meme.nbcr.net/meme/mast-intro.html">MAST</a>. The motif occurrences shown in the motif summary <b>may not be exactly the same as those reported in each motif section</b> because only motifs with a position <em>p</em>-value of 0.0001 that don't overlap other, more significant motif occurrences are shown. The format of the machine readable motif-summary is: <pre> [sequence_name combined_<em>p</em>-value number_of_motif_occurrences [motif_number start_of_motif position_<em>p</em>-value]+]+ </pre> See the documentation for <a href="http://meme.nbcr.net/meme/mast-output.html">MAST output</a> for the definition of position and combined <em>p</em>-values. </li> </ul> </form></body> </html>

### File: meme.fasta

    >ce1cg
    TAATGTTTGTGCTGGTTTTTGTGGCATCGGGCGAGAATAGCGCGTGGTGTGAAAGACTGT
    TTTTTTGATCGTTTTCACAAAAATGGAAGTCCACAGTCTTGACAG
    >ara
    GACAAAAACGCGTAACAAAAGTGTCTATAATCACGGCAGAAAAGTCCACATTGATTATTT
    GCACGGCGTCACACTTTGCTATGCCATAGCATTTTTATCCATAAG
    >bglr1
    ACAAATCCCAATAACTTAATTATTGGGATTTGTTATATATAACTTTATAAATTCCTAAAA
    TTACACAAAGTTAATAACTGTGAGCATGGTCATATTTTTATCAAT
    >crp
    CACAAAGCGAAAGCTATGCTAAAACAGTCAGGATGCTACAGTAATACATTGATGTACTGC
    ATGTATGCAAAGGACGTCACATTACCGTGCAGTACAGTTGATAGC
    >cya
    ACGGTGCTACACTTGTATGTAGCGCATCTTTCTTTACGGTCAATCAGCAAGGTGTTAAAT
    TGATCACGTTTTAGACCATTTTTTCGTCGTGAAACTAAAAAAACC
    >deop2
    AGTGAATTATTTGAACCAGATCGCATTACAGTGATGCAAACTTGTAAGTAGATTTCCTTA
    ATTGTGATGTGTATCGAAGTGTGTTGCGGAGTAGATGTTAGAATA
    >gale
    GCGCATAAAAAACGGCTAAATTCTTGTGTAAACGATTCCACTAATTTATTCCATGTCACA
    CTTTTCGCATCTTTGTTATGCTATGGTTATTTCATACCATAAGCC
    >ilv
    GCTCCGGCGGGGTTTTTTGTTATCTGCAATTCAGTACAAAACGTGATCAACCCCTCAATT
    TTCCCTTTGCTGAAAAATTTTCCATTGTCTCCCCTGTAAAGCTGT
    >lac
    AACGCAATTAATGTGAGTTAGCTCACTCATTAGGCACCCCAGGCTTTACACTTTATGCTT
    CCGGCTCGTATGTTGTGTGGAATTGTGAGCGGATAACAATTTCAC
    >male
    ACATTACCGCCAATTCTGTAACAGAGATCACACAAAGCGACGGTGGGGCGTAGGGGCAAG
    GAGGATGGAAAGAGGTTGCCGTATAAAGAAACTAGAGTCCGTTTA
    >malk
    GGAGGAGGCGGGAGGATGAGAACACGGCTTCTGTGAACTAAACCGAGGTCATGTAAGGAA
    TTTCGTGATGTTGCTTGCAAAAATCGTGGCGATTTTATGTGCGCA
    >malt
    GATCAGCGTCGTTTTAGGTGAGTTGTTAATAAAGATTTGGAATTGTGACACAGTGCAAAT
    TCAGACACATAAAAAAACGTCATCGCTTGCATTAGAAAGGTTTCT
    >ompa
    GCTGACAAAAAAGATTAAACATACCTTATACAAGACTTTTTTTTCATATGCCTGACGGAG
    TTCACACTTGTAAGTTTTCAACTACGTTGTAGACTTTACATCGCC
    >tnaa
    TTTTTTAAACATTAAAATTCTTACGTAATTTATAATCTTTAAAAAAAGCATTTAATATTG
    CTCCCCGAACGATTGTGATTCGATTCACATTTAAACAATTTCAGA
    >uxu1
    CCCATGAGAGTGAAATTGTTGTGATGTGGTTAACCCAATTAGAATTCGGGATTGACATGT
    CTTACCAAAAGGTAGAACTTATACGCCATCTCATCCGATGCAAGC
    >pbr322
    CTGGCTTAACTATGCGGCATCAGAGCAGATTGTACTGAGAGTGCACCATATGCGGTGTGA
    AATACCGCACAGATGCGTAAGGAGAAAATACCGCATCAGGCGCTC
    >trn9cat
    CTGTGACGGAAGATCACTTCGCAGAATAAATAAATCCTGGTGTCCCTGTTGATACCGGGA
    AGCCCTGGGCCAACTTTTGGCGAAAATGAGACGTTGATCGGCACG
    >tdc
    GATTTTTATACTTTAACTTGTTGATATTTAAAGGTATTTAATTGTAATAACGATACTCTG
    GAAAGTATTGAAAGTTAATTTGTGAGTGGTCGCACATATCCTGTT

### File: meme.txt

    ********************************************************************************
    MEME - Motif discovery tool
    ********************************************************************************
    MEME version 4.2.0 (Release date: Wed Jul 22 01:12:17 PDT 2009)

    For further information on how to interpret these results or to get
    a copy of the MEME software please access http://meme.nbcr.net.

    This file may be used as input to the MAST algorithm for searching
    sequence databases for matches to groups of motifs.  MAST is available
    for interactive use and downloading at http://meme.nbcr.net.
    ********************************************************************************

    ********************************************************************************
    REFERENCE
    ********************************************************************************
    If you use this program in your research, please cite:

    Timothy L. Bailey and Charles Elkan,
    "Fitting a mixture model by expectation maximization to discover
    motifs in biopolymers", Proceedings of the Second International
    Conference on Intelligent Systems for Molecular Biology, pp. 28-36,
    AAAI Press, Menlo Park, California, 1994.
    ********************************************************************************

    ********************************************************************************
    TRAINING SET
    ********************************************************************************
    DATAFILE= ./meme.fasta
    ALPHABET= ACGT
    Sequence name            Weight Length  Sequence name            Weight Length
    -------------            ------ ------  -------------            ------ ------
    ce1cg                    1.0000    105  ara                      1.0000    105
    bglr1                    1.0000    105  crp                      1.0000    105
    cya                      1.0000    105  deop2                    1.0000    105
    gale                     1.0000    105  ilv                      1.0000    105
    lac                      1.0000    105  male                     1.0000    105
    malk                     1.0000    105  malt                     1.0000    105
    ompa                     1.0000    105  tnaa                     1.0000    105
    uxu1                     1.0000    105  pbr322                   1.0000    105
    trn9cat                  1.0000    105  tdc                      1.0000    105
    ********************************************************************************

    ********************************************************************************
    COMMAND LINE SUMMARY
    ********************************************************************************
    This information can also be useful in the event you wish to report a
    problem with the MEME software.

      [Part of this file has been deleted for brevity]

    --------------------------------------------------------------------------------
    TGTGA[ACT][CAG][GT][AGT][GC][TAC]TCAC
    --------------------------------------------------------------------------------

    Time  0.30 secs.

    ********************************************************************************

    ********************************************************************************
    SUMMARY OF MOTIFS
    ********************************************************************************

    --------------------------------------------------------------------------------
    	Combined block diagrams: non-overlapping sites with p-value < 0.0001
    --------------------------------------------------------------------------------
    SEQUENCE NAME            COMBINED P-VALUE  MOTIF DIAGRAM
    -------------            ----------------  -------------
    ce1cg                            1.74e-03  63_[1(1.91e-05)]_27
    ara                              4.00e-03  57_[1(4.41e-05)]_33
    bglr1                            7.85e-03  78_[1(8.66e-05)]_12
    crp                              4.37e-03  65_[1(4.81e-05)]_25
    cya                              3.66e-03  52_[1(4.03e-05)]_38
    deop2                            5.47e-04  9_[1(6.01e-06)]_81
    gale                             9.45e-04  26_[1(1.04e-05)]_64
    ilv                              2.54e-02  105
    lac                              5.39e-05  11_[1(5.92e-07)]_79
    male                             2.12e-04  16_[1(2.33e-06)]_74
    malk                             1.35e-02  105
    malt                             2.55e-03  43_[1(2.80e-05)]_47
    ompa                             1.42e-03  50_[1(1.57e-05)]_40
    tnaa                             2.11e-03  73_[1(2.32e-05)]_17
    uxu1                             3.35e-03  19_[1(3.69e-05)]_71
    pbr322                           2.12e-04  55_[1(2.33e-06)]_35
    trn9cat                          5.08e-02  105
    tdc                              1.57e-03  80_[1(1.73e-05)]_10
    --------------------------------------------------------------------------------

    ********************************************************************************

    ********************************************************************************
    Stopped because nmotifs = 1 reached.
    ********************************************************************************

    CPU: emboss4.ebi.ac.uk

    ********************************************************************************

### File: meme.xml

    <?xml version='1.0' encoding='UTF-8' standalone='yes'?>
    <?xml-stylesheet type='text/xsl' href='meme.xsl'?>
    <!-- Document definition -->
    <!DOCTYPE MEME[
    <!ELEMENT MEME (
      training_set,
      model,
      motifs,
      scanned_sites_summary?
    )>
    <!ATTLIST MEME
      version CDATA #REQUIRED
      release CDATA #REQUIRED
    >
    <!-- Training-set elements -->
    <!ELEMENT training_set (alphabet, ambigs, sequence+, letter_frequencies)>
    <!ATTLIST training_set datafile CDATA #REQUIRED length CDATA #REQUIRED>
    <!ELEMENT alphabet (letter+)>
    <!ATTLIST alphabet id (amino-acid|nucleotide) #REQUIRED
                       length CDATA #REQUIRED>
    <!ELEMENT ambigs (letter+)>
    <!ELEMENT letter EMPTY>
    <!ATTLIST letter id ID #REQUIRED>
    <!ATTLIST letter symbol CDATA #REQUIRED>
    <!ELEMENT sequence EMPTY>
    <!ATTLIST sequence id ID #REQUIRED
                       name CDATA #REQUIRED
                       length CDATA #REQUIRED
                       weight CDATA #REQUIRED
    >
    <!ELEMENT letter_frequencies (alphabet_array)>

    <!-- Model elements -->
    <!ELEMENT model (
      command_line,
      host,
      type,
      nmotifs,
      evalue_threshold,
      object_function,
      min_width,
      max_width,
      minic,
      wg,
      ws,
      endgaps,
      minsites,
      maxsites,
      wnsites,
      prob,

      [Part of this file has been deleted for brevity]

    <letter_ref letter_id="letter_G"/>
    <letter_ref letter_id="letter_T"/>
    <letter_ref letter_id="letter_T"/>
    <letter_ref letter_id="letter_G"/>
    <letter_ref letter_id="letter_A"/>
    <letter_ref letter_id="letter_T"/>
    <letter_ref letter_id="letter_C"/>
    <letter_ref letter_id="letter_G"/>
    <letter_ref letter_id="letter_G"/>
    </site>
    <right_flank>CACG</right_flank>
    </contributing_site>
    </contributing_sites>
    </motif>
    </motifs>
    <scanned_sites_summary p_thresh="0.0001">
    <scanned_sites sequence_id="sequence_ce1cg" pvalue="1.74e-03" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="63" pvalue="1.91e-05"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_ara" pvalue="4.00e-03" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="57" pvalue="4.41e-05"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_bglr1" pvalue="7.85e-03" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="78" pvalue="8.66e-05"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_crp" pvalue="4.37e-03" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="65" pvalue="4.81e-05"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_cya" pvalue="3.66e-03" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="52" pvalue="4.03e-05"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_deop2" pvalue="5.47e-04" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="9" pvalue="6.01e-06"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_gale" pvalue="9.45e-04" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="26" pvalue="1.04e-05"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_ilv" pvalue="2.54e-02" num_sites="0"></scanned_sites>
    <scanned_sites sequence_id="sequence_lac" pvalue="5.39e-05" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="11" pvalue="5.92e-07"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_male" pvalue="2.12e-04" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="16" pvalue="2.33e-06"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_malk" pvalue="1.35e-02" num_sites="0"></scanned_sites>
    <scanned_sites sequence_id="sequence_malt" pvalue="2.55e-03" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="43" pvalue="2.80e-05"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_ompa" pvalue="1.42e-03" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="50" pvalue="1.57e-05"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_tnaa" pvalue="2.11e-03" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="73" pvalue="2.32e-05"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_uxu1" pvalue="3.35e-03" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="19" pvalue="3.69e-05"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_pbr322" pvalue="2.12e-04" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="55" pvalue="2.33e-06"/>
    </scanned_sites>
    <scanned_sites sequence_id="sequence_trn9cat" pvalue="5.08e-02" num_sites="0"></scanned_sites>
    <scanned_sites sequence_id="sequence_tdc" pvalue="1.57e-03" num_sites="1"><scanned_site motif_id="motif_1" strand="plus" position="80" pvalue="1.73e-05"/>
    </scanned_sites>
    </scanned_sites_summary>
    </MEME>

### File: meme.xsl

    <?xml version="1.0" encoding="ISO-8859-1"?>
    <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <!--
      This file is automatically built from meme.xsl.in at MAKE time.

      This stylesheet transforms the XML output of MEME into HTML closely matching
      the appearance of the HTML generated by previous versions of MEME.
    -->

      <xsl:output method="html" indent="yes"
        doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
        doctype-system="http://www.w3.org/TR/html4/loose.dtd"
      />

      <!-- Stylesheet processing starts here -->
      <xsl:template match="/MEME">
        <html>
          <xsl:call-template name="html-head"/>
          <body bgcolor='#D5F0FF'>
            <form
              enctype="application/x-www-form-urlencoded"
              method = "post"
              target = "_new"
              action = "http://emboss4.ebi.ac.uk/meme/cgi-bin/process_request.cgi"
            >
            <!-- Create the various sub-sections of the document -->
            <xsl:call-template name="top-buttons"/>
            <xsl:call-template name="meme-version"/>
            <xsl:call-template name="reference"/>
            <xsl:call-template name="training-set"/>
            <xsl:call-template name="model"/>
            <xsl:call-template name="motifs"/>
            <xsl:call-template name="scanned_site_summary"/>
            <xsl:call-template name="explanation"/>
          </form>
          </body>
        </html>
      </xsl:template>

      <xsl:template name="html-head">
        <!-- This template prints the HTML head block, including the document level CSS. -->
        <head>
          <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
          <title>MEME</title>
          <style type="text/css">
            td.left {text-align: left;}
            td.right {text-align: right; padding-right: 1cm;}
          </style>
        </head>

      [Part of this file has been deleted for brevity]

        <xsl:text>&#10;</xsl:text>
        <big><b><a href="#pspm_doc">Motif <xsl:value-of select="$motif_index"/> position-specific probability matrix</a>
        <xsl:text>&#10;</xsl:text>
        </b></big></center><hr/>
        <xsl:variable name="pspm">
    letter-probability matrix: alength= <xsl:value-of
    select="/MEME/training_set/alphabet/@length"/> w= <xsl:value-of select="@width"/> nsites= <xsl:value-of select="@sites"/> E= <xsl:value-of select="@e_value"/> <xsl:text>&#10;</xsl:text>
          <xsl:for-each select="/MEME/motifs/motif[$motif_index]/probabilities/alphabet_matrix/alphabet_array">
            <xsl:for-each select="value">
              <xsl:value-of select="."/><xsl:text> </xsl:text>
            </xsl:for-each>
          <xsl:text>&#10;</xsl:text>
          </xsl:for-each>
        </xsl:variable>
        <xsl:text>&#10;</xsl:text>
        <input type="hidden" name="pspm{$motif_index}" value="{$pspm} "/>
        <xsl:text>&#10;</xsl:text>
    </xsl:template>

    <xsl:template name="pssm">
      <xsl:param name="motif_index"/>
      <xsl:text>&#10;</xsl:text>
      <hr/><center><a name="pssm{$motif_index}"/>
      <big><b><a href="#pssm_doc">Motif <xsl:value-of select="$motif_index"/> position-specific scoring matrix</a>
      </b></big></center><hr/>
        <xsl:variable name="pssm">
    log-odds matrix: alength= <xsl:value-of select="/MEME/training_set/alphabet/@length"/> w= <xsl:value-of select="@width"/> n= <xsl:value-of select="@sites"/> bayes= <xsl:value-of select="@bayes_threshold"/> E= <xsl:value-of select="@e_value"/>
          <xsl:text>&#10;</xsl:text>
          <xsl:for-each select="/MEME/motifs/motif[$motif_index]/scores/alphabet_matrix/alphabet_array">
            <xsl:for-each select="value">
              <xsl:value-of select="."/><xsl:text> </xsl:text>
            </xsl:for-each>
            <xsl:text>&#10;</xsl:text>
          </xsl:for-each>
        </xsl:variable>
        <xsl:variable name="motifblock">
    BL   MOTIF <xsl:value-of select="@name"/> width=<xsl:value-of select="@width"/> seqs=<xsl:value-of select="@sites"/>
        </xsl:variable>
        <xsl:text>&#10;</xsl:text>
    <!-- motif Block entry -->
        <input type="hidden" name="motifblock{$motif_index}" value="
    {$motifblock}
    "/>
    <!-- don't change the next 3 lines or make_logodds breaks -->
        <input type="hidden" name="pssm{$motif_index}" value="
    {$pssm}
    "/>
        <xsl:text>&#10;</xsl:text>
    </xsl:template>

    </xsl:stylesheet>

The MEME results consist of:

- The version of MEME and the date it was released.
- The reference to cite if you use MEME in your research.
- A description of the sequences you submitted (the "training set") showing the name, "weight" and length of each sequence.
- The command line summary detailing the parameters with which you ran MEME.
- Information on each of the motifs MEME discovered, including:
  1. 1.A summary line showing the width, number of occurrences, log likelihood ratio and statistical significance of the motif.
  2. 2.A simplified position-specific probability matrix.
  3. 3.A diagram showing the degree of conservation at each motif position.
  4. 4.A multilevel consensus sequence showing the most conserved letter(s) at each motif position.
  5. 5.The occurrences of the motif sorted by p-value and aligned with each other.
  6. 6.Block diagrams of the occurrences of the motif within each sequence in the training set.
  7. 7.The motif in BLOCKS format.
  8. 8.A position-specific scoring matrix (PSSM) for use by the MAST database search program.
  9. 9.The position specific probability matrix (PSPM) describing the
  motif.
- A summary of motifs showing an optimized (non-overlapping) tiling of all of the motifs onto each of the sequences in the training set.
- The reason why MEME stopped and the name of the CPU on which it ran.
- This explanation of how to interpret MEME results.

## Data files

None.

## Notes

### 1. Command-line arguments

The following original MEME options are not supported:

    -h         : Use -help to get help information.
    -dna	   : EMBOSS will specify whether sequences use a DNA alphabet
                 automatically.
    -protein   : EMBOSS will specify whether sequences use a protein alphabet
                 automatically.

The following additional options are provided:

    outfile    : Application output that was normally written to stdout.

Note: ememe makes a temporary local copy of its input sequence data. You must ensure there is sufficient disk space for this in the directory that ememe is run.

### 2. Installing EMBASSY MEME

The EMBASSY MEME package contains "wrapper" applications providing an EMBOSS-style interface to the applications in the original MEME package version 3.0.14 developed by Timothy L. Bailey. Please read the file README in the EMBASSY MEME package distribution for installation instructions.

### 3. Installing original MEME

To use EMBASSY MEME, you will first need to download and install the original MEME package:

    WWW home:       http://meme.sdsc.edu/meme/
    Distribution:   http://meme.nbcr.net/downloads/old_versions/

Please read the file README in the the original MEME package distribution for installation instructions.

### 4. Setting up MEME

For the EMBASSY MEME package to work, the directory containing the original MEME executables *must* be in your path. For example if you executables were installed to "/usr/local/meme/bin", then type:

    set path=(/usr/local/meme/bin/ $path)
    rehash

### 5. Getting help

Once you have installed the original MEME, type

    meme > meme.txt
    mast > mast.txt

to retrieve the meme and mast documentation into text files. The same documentation is given here and in the ememe documentation.

Please read the 'Notes' section below for a description of the differences between the original and EMBASSY MEME, particularly which application command line options are supported.

## References

(MEME) Timothy L. Bailey and Charles Elkan, "Fitting a mixture model by expectation maximization to discover motifs in biopolymers", Proceedings of the Second International Conference on Intelligent Systems for Molecular Biology, pp. 28-36, AAAI Press, Menlo Park, California, 1994.

(MAST) Timothy L. Bailey and Michael Gribskov, "Combining evidence using p-values: application to sequence homology searches", Bioinformatics, Vol. 14, pp. 48-54, 1998.

## Warnings

### Input data

### Sequence input

Note: ememe makes a temporary local copy of its input sequence data. You must ensure there is sufficient disk space for this in the directory that ememe is run.

The user must provide the full filename of a sequence database for the sequence input ("seqset" ACD option), not an indirect reference, e.g. a USA is NOT acceptable. This is because meme (which ememe wraps) does not support USAs, and a full sequence database is too big to write to a temporary file that the original meme would understand.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
antigenic | Finds antigenic sites in proteins
digest | Reports on protein proteolytic enzyme or reagent cleavage sites
echlorop | Reports presence of chloroplast transit peptides
eiprscan | Motif detection
elipop | Prediction of lipoproteins
emast | Motif detection
ememetext | Multiple EM for Motif Elicitation. Text file only
enetnglyc | Reports N-glycosylation sites in human proteins
enetoglyc | Reports mucin type GalNAc O-glycosylation sites in mammalian proteins
enetphos | Reports ser, thr and tyr phosphorylation sites in eukaryotic proteins
epestfind | Finds PEST motifs as potential proteolytic cleavage sites
eprop | Reports propeptide cleavage sites in proteins
esignalp | Reports protein signal cleavage sites
etmhmm | Reports transmembrane helices
eyinoyang | Reports O-(beta)-GlcNAc attachment sites
fuzzpro | Search for patterns in protein sequences
fuzztran | Search for patterns in protein sequences (translated)
helixturnhelix | Identify nucleic acid-binding motifs in protein sequences
oddcomp | Identify proteins with specified sequence word composition
omeme | Motif detection
patmatdb | Searches protein sequences with a sequence motif
patmatmotifs | Scan a protein sequence with motifs from the PROSITE database
pepcoil | Predicts coiled coil regions in protein sequences
preg | Regular expression search of protein sequence(s)
pscan | Scans protein sequence(s) with fingerprints from the PRINTS database
sigcleave | Reports on signal cleavage sites in a protein sequence

## Author(s)

Jon Ison (jison © ebi.ac.uk)
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

This program is an EMBASSY wrapper to a program written by Timothy L. Bailey as part of his meme package.

Please report any bugs to the EMBOSS bug team in the first instance, not to Timothy L. Bailey.

## History

None.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.